

@echo off
cd /D "%~dp0"
echo NOTE: BEFORE INSTALLING, MAKE SURE YOU RUNTHE INSTALL.BAT FILE AS ADMIN!
echo If you ran as admin, you can ignore the above message.
echo .
echo To proceed, press any key.
pause
cd Voices
cd "Character Voices (Run These First)"
echo Now installing character voices...
echo Installing Dutch TTS Engine...
lhttsdun.exe /q
echo Installing English (UK) TTS Engine...
lhttseng.exe /q
echo Installing French TTS Engine...
lhttsfrf.exe /q
echo Installing German TTS Engine...
lhttsged.exe /q
echo Installing Italian TTS Engine...
lhttsiti.exe /q
echo Installing Japanese TTS Engine...
lhttsjpj.exe /q
echo Installing Korean TTS Engine...
lhttskok.exe /q
echo Installing Portuguese (Brazil) TTS Engine...
lhttsptb.exe /q
echo Installing Russian TTS Engine...
lhttsrur.exe /q
echo Installing Spanish TTS Engine...
lhttsspe.exe /q
echo Main voice install complete! Installing Microsoft TTS voices...
cd..
cd "MS Voices"
echo Installing Microsoft Mary TTS Engine...
vMaryVoiceInstaller.exe /q
echo Installing Microsoft Mike TTS Engine...
vMikeVoiceInstaller.exe /q
echo Installing Microsoft Sam TTS Engine...
vSamVoiceInstaller.exe /q
echo Microsoft voice install complete! Installing language add-ons...
cd..
cd "DLL Installers for Character Voices (Run these after)"
echo Installing language components There are 29 of them, so this may take 1-2 minutes...
AgtX0C0A.exe /q
AgtX040B.exe /q
AgtX040C.exe /q
AgtX040D.exe /q
AgtX040E.exe /q
AgtX041A.exe /q
AgtX041B.exe /q
AgtX041D.exe /q
AgtX041E.exe /q
AgtX041F.exe /q
AgtX042D.exe /q
AgtX0401.exe /q
AgtX0404.exe /q
AgtX0405.exe /q
AgtX0406.exe /q
AgtX0407.exe /q
AgtX0408.exe /q
AgtX0410.exe /q
AgtX0411.exe /q
AgtX0412.exe /q
AgtX0413.exe /q
AgtX0414.exe /q
AgtX0415.exe /q
AgtX0416.exe /q
AgtX0418.exe /q
AgtX0419.exe /q
AgtX0424.exe /q
AgtX0804.exe /q
AgtX0416.exe /q
echo Language components successfully installed!
cd..
echo Installing the Speech Control Panel...
MSSpcCpl.exe /q
echo Installation complete!
echo More programs and characters are available at https://tmafe.com
pause